From d0a6c0b575df23865279ae043d7fea12d053d32b Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 21 2020 04:37:56 +0000
Subject: [PATCH 1749/2232] Condense name of unpinned mutable arg trivial reason


---

diff --git a/syntax/types.rs b/syntax/types.rs
index d1cccf0..c07ab17 100644
--- a/syntax/types.rs
+++ b/syntax/types.rs
@@ -228,7 +228,7 @@ impl<'a> Types<'a> {
         for api in apis {
             match api {
                 Api::CxxFunction(efn) | Api::RustFunction(efn) => {
-                    let reason = TrivialReason::UnpinnedMutableReferenceFunctionArgument(efn);
+                    let reason = TrivialReason::UnpinnedMutArg(efn);
                     if let Some(receiver) = &efn.receiver {
                         if receiver.mutable && !receiver.pinned {
                             insist_extern_types_are_trivial(&receiver.ty, reason);
@@ -333,7 +333,7 @@ pub enum TrivialReason<'a> {
     FunctionReturn(&'a ExternFn),
     BoxTarget,
     VecElement,
-    UnpinnedMutableReferenceFunctionArgument(&'a ExternFn),
+    UnpinnedMutArg(&'a ExternFn),
 }
 
 impl<'a> TrivialReason<'a> {
@@ -356,7 +356,7 @@ impl<'a> Display for TrivialReason<'a> {
             }
             TrivialReason::BoxTarget => write!(f, "in a Box<...>"),
             TrivialReason::VecElement => write!(f, "a Vec<...> element"),
-            TrivialReason::UnpinnedMutableReferenceFunctionArgument(efn) => write!(
+            TrivialReason::UnpinnedMutArg(efn) => write!(
                 f,
                 "a non-pinned mutable reference argument of {}",
                 efn.name.rust

